Comentarios (2)

1 localhost ha hecho un comentario el Retroenlace

I don't understand what you mean by "Can only have a single Ruby VM installed"

2 localhost ha hecho un comentario el Retroenlace

On the mac: Menu / NetBeans / Preferences ... / Ruby

 
"Choose the Ruby interpreter to be used" ... text field populated with the ruby interpreter's file name.
 
As near as I can tell, that means NetBeans only can know about one Ruby interpreter at a time.
 
Compare with Eclipse.
 
On the mac: Menu / Eclipse / Preferences ... / Ruby / Installed Interpreters.
 
This is a list of interpreters; I have the one installed in /usr, as well as /opt/local (1.8.4), if I installed another version somewhere else, I could list that here also.
 
Only one is the "default" VM; I can switch that whenever I want. Everything in the system uses the default VM (launchers, debuggers, etc), unless you override 'it' (the launcher, debugger, etc) with a different one on the list. It's pretty flexible, so I could, for instance, create two program launches for a single program, one in Ruby, one in JRuby, and choose which one to 'run' with by picking that launcher.
 
It's flexible, but obviously more complicated than NetBeans, which is simple but inflexible.

Añadir un comentario Añadir un comentario